#   -*- coding: utf-8 -*-
#
#   This file is part of node-cli
#
#   Copyright (C) 2019 SKALE Labs
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU Affero General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU Affero General Public License for more details.
#
#   You should have received a copy of the GNU Affero General Public License
#   along with this program.  If not, see <https://www.gnu.org/licenses/>.

import click

from node_cli.core.host import validate_abi_files


@click.group()
def validate_cli():
    pass


@validate_cli.group(help="Validation commands")
def validate():
    pass


@validate.command('abi', help="Validate contracts abi")
@click.option(
    '--json',
    'json_format',
    help='Show result in JSON format',
    is_flag=True
)
def abi(json_format):
    validate_abi_files(json_result=json_format)
